org.apache.commons.jelly.impl

## Class ExpressionAttribute

- java.lang.Object
- - org.apache.commons.jelly.impl.ExpressionAttribute

    public class ExpressionAttribute
    extends java.lang.Object

Attribute as an expression of `TagScript`.

See Also:
  `TagScript`

### Field Summary

Fields
`Expression` `exp`
`java.lang.String` `name` Local name of this attribute.
`java.lang.String` `nsURI`
`java.lang.String` `prefix`

### Constructor Summary

Constructors
Constructor and Description
`ExpressionAttribute(java.lang.String name, Expression exp)`
`ExpressionAttribute(java.lang.String name, java.lang.String prefix, java.lang.String nsURI, Expression exp)`

### Method Summary

Methods
`java.lang.String` `qname()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

Local name of this attribute.

#### prefix

    public java.lang.String prefix

#### nsURI

    public java.lang.String nsURI

#### exp

    public Expression exp

### Constructor Detail

#### ExpressionAttribute

    public ExpressionAttribute(java.lang.String name,
                       Expression exp)

#### ExpressionAttribute

    public ExpressionAttribute(java.lang.String name,
                       java.lang.String prefix,
                       java.lang.String nsURI,
                       Expression exp)

### Method Detail

#### qname

    public java.lang.String qname()